Bug 135038 - Boot using smp kernel results in "Unable to handle null pointer dereference at virtual address 00000000"
Boot using smp kernel results in "Unable to handle null pointer dereference a...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-08 03:35 EDT by James Ryley
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:58:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ryley 2004-10-08 03:35:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.2)
Gecko/20040804 Netscape/7.2 (ax)

Description of problem:
System is dual Xeon using a SuperMicro X5DP8-G2 motherboard with the
latest BIOS (1.5c).  Also has a 3Ware 9500S-8 RAID card, but is
booting off an ATA drive that is not in the array.

Initial FC2 kernel did not work when using smp, but worked fine
without smp.  Upgraded to 2.6.8-1.521 (for both regular and smp). 
System now hangs on boot with the message "Unable to handle null
pointer dereference at virtual address 00000000".  Again, this is only
with the smp kernel. The other works fine.

Version-Release number of selected component (if applicable):
2.6.8-1.521smp

How reproducible:
Always

Steps to Reproduce:
1. Boot


Actual Results:  Hangs, must be power cycled.

Expected Results:  clean boot

Additional info:

Complete screen output is:

Unable to handle null pointer dereference at virtual address 00000000
printing eip:
*pde = 00003001
Oops: 0000 [#1]
SMP
Modules linked in:
CPU: 0
EIP: 0060:[<00000000>]  Not tainted
EFLAGS: 00010017  (2.6.8-1.521smp)
EIP is at 0x0
eax: f7c1f800  ebx: f7c1f800  ecx: 00000000  edx: f7fb0f04
esi: 00000000  edi: 0234c640  ebp: 00000001  esp: 023ebf88
ds: 007b  es: 007b  ss: 0068
Process swapper (pid: 1, thread-info=023eb000 task=39ff1730)
Stack 0226c817 00fb0f04 f7fb0f04 0234c3e0 f7fb0f04 00000000 0226e8ac
f7fb0f04
00000000 00000000 0226f106 f7fb0f04 00000000 02128b1d 023cbfbc 0210ba9e
00000000 39ee3280 04000001 39ee3ba0 04000001 0210747c f7fb0edc 023eb000
Call Trace:
Stack pointer is garbage, not printing trace
Code: Bad EIP value.
 <0>Kernel panic: Fatal exception in interrupt
In interrupt handler - not syncing
Comment 1 Dave Jones 2004-10-29 17:32:58 EDT
fixed in the current rawhide / test iso ?
Comment 2 James Ryley 2004-11-03 01:51:30 EST
The ISO was tested.  However, I have been told by the system 
manufacturer that they cannot replicate the problem.  They therefore 
believe that my system may be defective.  I am waiting to hear from 
them now, but I am assuming that this is a physical problem.
Comment 3 Dave Jones 2005-04-16 01:58:59 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.